<?php
// main admin list
$admins = ["365584394", ""];
//Group Log
$reportChannel = "-1003325490390"; //Id

$adminGroupId = "-1003325490390"; 

// لیست آیدی تاپیک‌ها (اعداد را با آیدی‌های خود جایگزین کنید)
$topics = [
    'stars'    => 2,  // خرید استارز
    'premium'  => 4,  // خرید پرمیوم
    'ton'      => 139,  // خرید تون
    'deposit'  => 134,  // افزایش موجودی (زرین‌پال و کریپتو)
    'otp'      => 32,  // کدهای تایید پیامکی
    'join'     => 5,  // عضو جدید
    'error'    => 141   // ارورها و خطاها
];

$publicReport = "-1003209726503";
// آیدی گروه اول و دوم را داخل کروشه [] و با کاما , جدا کنید
$currencyGroup = ["-1002571113075", "-1001968322111", "-1003365290098", "-1003486208974"];
// Sms Panel
$sms_username = "09146948875";
$sms_password = "Mahyar##2000";
$sms_pattern_otp = "366625";
//Back 
$bot_folder_url = "https://Tellgamin.com/bot"; 

// bot token
$token = "7311831128:AAFhixp668Inch888BsDE2neW3AKB1v-yEA";
// bot Username
$botusername = "Tellgaminbot";
//fragmentAPI
$fragmentApiKey = 'f1417571-c16b-47dd-bb74-b8b3b8fa918b';
//ZarinpalMerchant
$zarinpal_merchant_id = "99539ee7-c5ed-434d-b883-60a4fb73b9a7";
// database username
$dbUserName = 'bemahyar_bot';
// database password
$dbPassword = '5wW]7fyEDhil+2Na';
// database name
$dbName = 'bemahyar_bot';

$db = new mysqli('localhost', $dbUserName, $dbPassword, $dbName);

// بررسی اتصال به دیتابیس
if ($db->connect_error) {
    die("❌ Database connection failed: " . $db->connect_error);
}

// تنظیم کاراکترست صحیح
$db->set_charset('utf8mb4');
$db->query('SET NAMES utf8mb4');

// ======================================== \\
$giftPort = 8770;
// ======================================== \\

// تابع کمکی برای جلوگیری از خطا در fetch_assoc]

$result = $db->query("SHOW TABLES LIKE 'settings'");
if ($result && $result->num_rows > 0) {
    function getSetting($db, $type)
    {
        $result = $db->query("SELECT `type_id` FROM `settings` WHERE `type` = '$type'");
        if (!$result) {
            die("SQL Error in '$type': " . $db->error);
        }
        $row = $result->fetch_assoc();
        return $row ? $row['type_id'] : null;
    }

    $card_number = getSetting($db, 'cardNumber');
    $card_name = getSetting($db, 'cardName');
    $XRocketAPI = getSetting($db, 'xrocket');
    $botName = getSetting($db, 'botName');
    $EnBotName = getSetting($db, 'EnBotName');
    $supportUsername = getSetting($db, 'supportUsername');
    $channelUsername = getSetting($db, 'channelUsername');
    $giftAccountUsername = getSetting($db, 'giftAccountUsername');
    // ======================================== \\
}
